IIS下PHP的切换

扫地僧 44 0
wordpress安装包下载解压后有个readme.html网页,打开后有下面一段话:推荐.pngsystem requirements是指服务器配置需求,最低要求是PHP版本5.2.4以上,mysql版本5.0以上。
recommendations是推荐配置,推荐的是:PHP版本7.0以上,mysql版本5.6以上,apache重写模块支持,https支持,在你的网站放上官网链接。
可见推荐配置是预设在apache下运行才提示开启apache重写模块。但IIS下同样可以运行wordpress。只不过在PHP版本上有一些差异。
由于我演示的云主机上有多个站点,一些站点需要的PHP版本各不相同,在此我使用phpmanger切换php(如果只安装PHP7,则所有站点的PHP版本都是7,类似dedecms这样要求PHP5.2的站点就会出错)
首先登陆PHP官网12.pngphp最新版本到7.1,7.2显示has no release(未发布)
另外PHP下载有NTS(非线程))和TS(线程)两种版本,官网已给出说明:IIS下载NTS版本,apache下载TS版本,这里IIS建站要下载NTS版本123.png此外,windows下的php7需要VC14的支持,但是微软已经停止了windows2003的更新,win2003不能支持VC14,所以也就不支持PHP7了。(windows2003最高支持到php5.4,之后的5.5和5.6都不支持)error.png
VC14的全称是visual c++ redistributable2015,可在微软官网下载11.png
simplified是简体中文,traditional是繁体中文点击download界面出现版本选择,2008系统推荐64位Q2.png下载后是exe文件直接点击运行Q3.png进入安装界面,安装VC14Q3.pngVC14完成后下载PHP(我这里下载PHP7.1的ZIP安装包为例)Q2.png下载完成后解压成文件夹。12.png因为之前我的PHP已安装在C盘PHP目录(5.2版本),现在只要把7.1文件夹打包复制到PHP目录下即可使用(切记是复制整个文件夹而不是文件)PHPmanager也有官网下载,下载后解压到服务器安装好,每个IIS站点就可以自由切换PHP版本了

选择register new PHP versi切换PHP版本11.png选择php7.1文件夹内的php-cgi.exe完成切换12.png返回phpmanager,点击checkphpinfo()检测切换成功11.png

标签: #php #编程语言 #apache

  • 评论列表

留言评论